<?php
// Default CSS File
add_action('wp_enqueue_scripts','epsg_default_style');
function epsg_default_style(){
   // font-awesome
   wp_enqueue_style('font-awesome',EPSG_URL.'assets/css/fonts/font-awesome/css/font-awesome.min.css');
     // main
   wp_enqueue_style('epsg-main',EPSG_URL.'assets/css/main.css');
   // bootstrap-css
   wp_enqueue_style('bootstrap',EPSG_URL.'assets/css/bootstrap.min.css');
    // owl-carousel
   wp_enqueue_style('owlcarousel',EPSG_URL.'assets/css/owl.carousel.min.css');
}
// Default JS File
add_action('wp_enqueue_scripts','epsg_default_scripts');
function epsg_default_scripts(){     
  // owl-carousel js 
  wp_enqueue_script( 'owlcarousel', EPSG_URL.'assets/js/owl.carousel.min.js', array('jquery'), true );
  // bootstrap js
  wp_enqueue_script( 'bootstrap', EPSG_URL.'assets/js/bootstrap.min.js', array('jquery'), true, true );
}
// admin
add_action('admin_enqueue_scripts','epsg_admin_scripts');
function epsg_admin_scripts(){   
     // admin js
 wp_enqueue_script('epsg-admin-js',EPSG_URL.'assets/js/admin/admin.js', array('jquery'), true ,true);
    // chosen-jquery-js 
 wp_enqueue_script('epsg-chosen',EPSG_URL.'assets/js/admin/chosen.jquery.min.js', array('jquery'), true,true);
   // chosen-css
 wp_enqueue_style('epsg-chosen',EPSG_URL.'assets/css/admin/chosen.min.css');
        // font-awesome-css
 wp_enqueue_style('font-awesome',EPSG_URL.'assets/css/fonts/font-awesome/css/font-awesome.min.css');
        // admin-css
 wp_enqueue_style('epsg-admin-css',EPSG_URL.'assets/css/admin/admin.css');
}