<?php
$custom_data = unserialize(get_post_meta($id,'epsg_settings',true));

$s_s_background        = isset($custom_data['s_s_background'])? $custom_data['s_s_background']: '';
$s_s_title             = isset($custom_data['s_s_title'])? $custom_data['s_s_title']: '';
$s_subtitle            = isset($custom_data['s_subtitle'])? $custom_data['s_subtitle']: '';
// shop btn color
$shop_text_color       = isset($custom_data['shop_text_color'])? $custom_data['shop_text_color']: '';
$shop_text_hover       = isset($custom_data['shop_text_hover'])? $custom_data['shop_text_hover']: '';
$shop_background       = isset($custom_data['shop_background'])? $custom_data['shop_background']: '';
$shop_hover_bg         = isset($custom_data['shop_hover_bg'])? $custom_data['shop_hover_bg']: '';
$shop_border_color     = isset($custom_data['shop_border_color'])? $custom_data['shop_border_color']: '';
$shop_border_hover     = isset($custom_data['shop_border_hover'])? $custom_data['shop_border_hover']: '';
// typography
$slider_section_title_font_size      = isset( $custom_data['slider_section_title_font_size'] ) ? $custom_data['slider_section_title_font_size'] : '';
$slider_section_title_line_height    = isset($custom_data['slider_section_title_line_height'])? $custom_data['slider_section_title_line_height']:'';
$slider_section_title_letter_spacing = isset($custom_data['slider_section_title_letter_spacing'])?$custom_data['slider_section_title_letter_spacing']:''; 
$slider_sub_title_font_size          = isset( $custom_data['slider_sub_title_font_size'] ) ? $custom_data['slider_sub_title_font_size'] : '';
$slider_sub_title_line_height        = isset($custom_data['slider_sub_title_line_height'])? $custom_data['slider_sub_title_line_height']:'';
$slider_sub_title_letter_spacing     = isset($custom_data['slider_sub_title_letter_spacing'])?$custom_data['slider_sub_title_letter_spacing']:''; 

?>
<style type="text/css">

    .epsg-code-<?php echo get_the_Id();?> .epsg-slider-one{
     background: <?php echo esc_attr( $s_s_background) ?>!important;
 }
 .epsg-code-<?php echo get_the_Id();?> .heading-primary h3{
    font-size: 36px;
    line-height: 1.44;
    font-weight: 400!important;
    font-family: 'Josefin Sans', sans-serif!important;
    color:<?php echo esc_attr( $s_s_title) ?>!important;
}
.epsg-code-<?php echo get_the_Id();?> .heading-primary p{
    font-size: 16px;
    line-height: 20px;
    font-weight: 400;
    font-family: 'Josefin Sans', sans-serif;
    color:<?php echo esc_attr( $s_subtitle) ?>!important;
}
.epsg-code-<?php echo get_the_Id();?> .product-slider{
    border: 3px solid #efefef;
    background: #fff;
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row .product-slider .product-slider-hover {
    position: relative;
    margin-bottom: 20px;
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row .products-images{
    position: relative;
    overflow: hidden;
    background: #f1f1f1!important;
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row .products-images a {
    display: block;
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row .products-images img {
    width: 100%;
    height: auto;
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row .product-slider .product-main-img {
    -webkit-transition: opacity .8s ease;
    transition: opacity .8s ease;
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row .product-slider .product-hover-img {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    -webkit-transition: opacity .8s ease,-webkit-transform 1.1s cubic-bezier(.15,.75,.5,1) 0s;
    transition: opacity .8s ease,-webkit-transform 1.1s cubic-bezier(.15,.75,.5,1) 0s;
    transition: opacity .8s ease,transform 1.1s cubic-bezier(.15,.75,.5,1) 0s;
    transition: opacity .8s ease,transform 1.1s cubic-bezier(.15,.75,.5,1) 0s,-webkit-transform 1.1s cubic-bezier(.15,.75,.5,1) 0s;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row .product-slider .product-slider-hover:hover .product-hover-img {
    opacity: 1;
    -webkit-transform: scale3d(1.1,1.1,1.1) translateZ(0);
    transform: scale3d(1.1,1.1,1.1) translateZ(0);
}
.epsg-code-<?php echo get_the_Id();?> .products-icons{
    pointer-events: none;
    position: absolute;
    top: 20px;
    right: 20px;
    z-index: 3;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    opacity: 0;
    -webkit-transform: translate3d(150%,0,0);
    transform: translate3d(150%,0,0);
    -webkit-transition: all .3s ease;
    transition: all .3s ease;
}
.epsg-code-<?php echo get_the_Id();?> .product-slider-hover:hover .products-icons {
    opacity: 1;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
}
.epsg-code-<?php echo get_the_Id();?> .products-icons .product-icon {
    z-index: -1;
    pointer-events: auto;
    position: relative;
    display: inline-block;
}
.epsg-code-<?php echo get_the_Id();?> .products-icons .product-icon+.product-icon {
    margin-top: 10px;
}
.epsg-code-<?php echo get_the_Id();?> .addtocart-btn.epsg-layout-01 a, .quick-view-btn.epsg-layout-01 a, .wishlist-btn.epsg-layout-01 a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px!important;
    height: 40px!important;
    background-color: #fff;
    color: #000;
    border-radius: 50%;
    text-decoration: none;
    font-size: 0!important;
    padding: 0!important;
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
}
.epsg-code-<?php echo get_the_Id();?> .addtocart-btn.epsg-layout-01 a:hover, .quick-view-btn.epsg-layout-01 a:hover, .wishlist-btn.epsg-layout-01 a:hover {
    color: #fff;
    background: #000;
    border-radius: 50% !important;
    box-shadow: 0 0 0 0.1rem #000;
}
.epsg-code-<?php echo get_the_Id();?> .addtocart-btn.epsg-layout-01 a:before, .quick-view-btn.epsg-layout-01 a:before, .wishlist-btn.epsg-layout-01 a:before {
    font-size: 14px;
    font-family: "FontAwesome";
    font-style: normal;
    font-weight: 400;
    text-decoration: inherit;
    color: #000;
    vertical-align: middle;
    -webkit-transition: all 0.3s;
    transition: all 0.3s;
}
.epsg-code-<?php echo get_the_Id();?> .addtocart-btn.epsg-layout-01 a:hover:before, .quick-view-btn.epsg-layout-01 a:hover:before, .wishlist-btn.epsg-layout-01 a:hover:before {
    color: #fff;
}
.epsg-code-<?php echo get_the_Id();?> .wishlist-btn a:before {
    content: "\f08a";
}
.epsg-code-<?php echo get_the_Id();?> .addtocart-btn a:before {
    content:"\f290";
}
.epsg-code-<?php echo get_the_Id();?> .quick-view-btn a:before {
    content: "\f06e";
}

.epsg-code-<?php echo get_the_Id();?> .epsg-layout-01:after, .epsg-layout-01:before {
    position: absolute;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    visibility: hidden;
    opacity: 0;
    z-index: 1000000;
    pointer-events: none;
    -webkit-transition: .3s ease;
    transition: .3s ease;
    -webkit-transition-delay: 0ms;
    transition-delay: 0ms;
}
.epsg-code-<?php echo get_the_Id();?> .epsg-layout-01:hover:after, .epsg-layout-01:hover:before {
    visibility: visible;
    opacity: 1;
    -webkit-transition-delay: .1s;
    transition-delay: .1s;
}
.epsg-code-<?php echo get_the_Id();?> .epsg-layout-01:hover:after, .epsg-layout-01:hover:before {
    -webkit-transform: translateX(-8px);
    -ms-transform: translateX(-8px);
    transform: translateX(-8px);
}
.epsg-code-<?php echo get_the_Id();?> .epsg-layout-01:after, .epsg-layout-01:before {
    position: absolute;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    visibility: hidden;
    opacity: 0;
    z-index: 1000000;
    pointer-events: none;
    -webkit-transition: .3s ease;
    transition: .3s ease;
    -webkit-transition-delay: 0ms;
    transition-delay: 0ms;
}
.epsg-code-<?php echo get_the_Id();?> .epsg-layout-01:after, .epsg-layout-01:before {
    right: 100%;
    bottom: 50%;
}
.epsg-code-<?php echo get_the_Id();?> .epsg-layout-01:before {
    content: "";
    position: absolute;
    background: transparent;
    border: 7px solid transparent;
    z-index: 1000001;
}
.epsg-code-<?php echo get_the_Id();?> .epsg-layout-01:before {
    border-left-color: #000;
}
.epsg-layout-01:before {
    margin-right: -13px;
    margin-bottom: -7px;
}
[class*=epsg-layout-01][data-hint]:after {
    content: attr(data-hint);
}
.epsg-code-<?php echo get_the_Id();?> .epsg-layout-01:after, .epsg-layout-01:before {
    position: absolute;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    visibility: hidden;
    opacity: 0;
    z-index: 1000000;
    pointer-events: none;
    -webkit-transition: .3s ease;
    transition: .3s ease;
    -webkit-transition-delay: 0ms;
    transition-delay: 0ms;
}
.epsg-code-<?php echo get_the_Id();?> .epsg-layout-01:after {
    background: #000;
    color: #fff;
    padding: 7px 10px;
    font-size: 14px;
    line-height: 14px;
    white-space: nowrap;
    border-radius: 3px;
}
.epsg-code-<?php echo get_the_Id();?> .epsg-layout-01:after {
    margin-bottom: -14px;
}

.epsg-code-<?php echo get_the_Id();?> .product-slider .product-slider-hover .product-option {
    position: absolute;
    bottom: 20px;
    left: 20px;
    right: 20px;
    z-index: 4;
    text-align: center;
    opacity: 0;
    -webkit-transform: translate3d(0,150%,0);
    transform: translate3d(0,150%,0);
    -webkit-transition: all .3s ease;
    transition: all .3s ease;
}
.epsg-code-<?php echo get_the_Id();?> .product-slider .product-slider-hover:hover .product-option {
    opacity: 1;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
}
.epsg-code-<?php echo get_the_Id();?> .product-category{
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px; 
    direction: ltr !important;
}
.epsg-code-<?php echo get_the_Id();?> .product-slider .product-info .product-category a {
    font-size: 14px;
    line-height: 24px;
    font-weight: 400;
    font-family: 'Josefin Sans', sans-serif;
    text-transform: capitalize;
    color: #9b9b9b!important;
    text-decoration: none!important;
    float: left;
}

.epsg-code-<?php echo get_the_Id();?> .woocommerce .star-rating {
 font-size: 13px!important;
 color: #f5c60d!important;
}
.epsg-code-<?php echo get_the_Id();?> .product-slider .product-info .product-title{
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5;
    margin-bottom: 0;
    direction: ltr !important;

}
.epsg-code-<?php echo get_the_Id();?> .product-slider .product-info .product-title a{
    text-decoration: none!important;
    font-weight: 700;
    color: #000!important;
    font-family: 'Josefin Sans', sans-serif;
    -webkit-transition: all .25s cubic-bezier(.645,.045,.355,1);
    transition: all .25s cubic-bezier(.645,.045,.355,1);
}
.epsg-code-<?php echo get_the_Id();?> .product-slider .product-info .product-title:hover a {
    color: #999;
}
.epsg-code-<?php echo get_the_Id();?> .product-slider .pro-price .price {
    margin: 6px 0 0;
}
.epsg-code-<?php echo get_the_Id();?> .product-slider .price {
    display: block;
    font-weight: 400;
    direction: ltr !important;
}
.epsg-code-<?php echo get_the_Id();?> .product-slider .price del .amount{
    line-height: 20px;
    font-weight: 300;
    font-family: 'Josefin Sans', sans-serif;
}
.epsg-code-<?php echo get_the_Id();?> .product-slider .price del .amount{
   color: #888888;
   text-decoration: line-through;
   margin-right: 10px;
   font-size: 16px!important;
}
.epsg-code-<?php echo get_the_Id();?> .product-slider .price .woocommerce-Price-amount ins .amount{
   line-height: 20px;
   font-size: 16px;
   color: #000;
   font-weight: 300;
   font-family: 'Josefin Sans', sans-serif;
}
.epsg-code-<?php echo get_the_Id();?> .product-slider .pro-price .price del{
    text-decoration: none !important;
}
.product-info{
    padding: 10px;
    padding-top: 0;
}
.epsg-code-<?php echo get_the_Id();?> .owl-carousel .owl-nav {
   position: absolute !important;
   top: -22% !important;
   right: 0 !important;
   width: 2% !important;
   font-size: 16px !important;
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row.epsg_owl_lite .owl-next, .main-product-row.epsg_owl_lite .owl-prev {
    position: absolute !important;
    line-height: 50px !important;
    width: 40px !important;
    height: 40px !important;
    line-height: 40px !important;
    border: 1px solid #c4c4c4 !important;
    background: #fff!important;
    color: #000 !important;
    transition: all 0.3s;
    border-radius: 0 !important;
    box-shadow: none !important;
    margin: 0 !important;
    padding: 0!important;
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row.epsg_owl_lite .owl-next i,
.epsg-code-<?php echo get_the_Id();?> .main-product-row.epsg_owl_lite .owl-prev i{
 color: #141417 !important;
 transition: all 500ms ease !important;
}

.epsg-code-<?php echo get_the_Id();?> .main-product-row.epsg_owl_lite .owl-next{
    right: 0px !important;
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row.epsg_owl_lite .owl-prev{
    right: 48px !important;
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row.epsg_owl_lite .owl-next:hover,.main-product-row.epsg_owl_lite .owl-prev:hover{
    color: #fff !important;
    background: #000 !important;
    border: 1px solid #000 !important;
    box-shadow: 0 0 0 0.1rem #000;
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row.epsg_owl_lite .owl-next:hover i,
.epsg-code-<?php echo get_the_Id();?> .main-product-row.epsg_owl_lite .owl-prev:hover i{
 color: #fff !important;
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row:hover.epsg_owl_lite .owl-next{
    opacity: 1;   
}
.epsg-code-<?php echo get_the_Id();?> .main-product-row:hover.epsg_owl_lite .owl-prev{
    opacity: 1;
}
.epsg-code-<?php echo get_the_Id();?> .product-badges {
    position: absolute;
    top: 20px;
    left: 20px;
    z-index: 2;
    display: flex;
    flex-direction: column;
    -webkit-box-align: start;
    align-items: flex-start;
}
.epsg-code-<?php echo get_the_Id();?> .product-badges .onsale{
    position: relative;
    top: 0;
    left: 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    vertical-align: top;
    margin: 0 0 5px;
    color: #fff;
    background: #da3f3f;
    border-radius: 11px;
    padding: 5px 10px;
    min-width: 52px;
}
.epsg-code-<?php echo get_the_Id();?> .product-badges .onsale span{
    display: block;
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    line-height: 16;
    text-align: center;
}
.epsg-code-<?php echo get_the_Id();?> .product-shop-btn{
    padding: 12px 30px;
    background: <?php echo esc_attr( $shop_background) ?>!important;
    border: 1px solid <?php echo esc_attr($shop_border_color);?>!important;
    border-radius: 5px;
    color: <?php echo esc_attr($shop_text_color);?>!important;
    font-family: 'Josefin Sans', sans-serif;
    text-decoration: none!important;
    text-transform:capitalize;
    font-size: 16px;
    font-weight: 500;
    transition: all 0.3s;
}
.epsg-code-<?php echo get_the_Id();?> a.product-shop-btn:hover {
    color: <?php echo esc_attr($shop_text_hover);?>!important;
    border-color: <?php echo esc_attr($shop_border_hover);?>!important;
    background-color: <?php echo esc_attr($shop_hover_bg);?>!important;  
}
.epsg-code-<?php echo get_the_Id();?> .Product_ribbon .badges_inner {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    z-index: 10;
    line-height: 1;
    font-size: 14px;
    width: 45px;
    height: 45px;
    left: 25px;
    top: 25px;
    background: #da3f3f!important;
    border-radius: 100%;
    direction: ltr !important;
}
.epsg-code-<?php echo get_the_Id();?> .Product_ribbon {
    left: calc(0% - 5px);
    position: absolute;
    z-index: 9;
    top: 20px;
    color: #ffffff!important;
    text-align: center;
    animation: 3s ease-in-out 0s normal none infinite running swing;
    transform-origin: 65px -65px;
}
.epsg-code-<?php echo get_the_Id();?> .Product_ribbon:before {
    content: '';
    position: absolute;
    top: 62px;
    left: 47px;
    width:20px;
    height: 20px;
    z-index: 9;
    background: #da3f3f;
    border-radius: 100%;
    box-shadow: 3px -45px #da3f3f, 15px -30px #da3f3f, 14px -11px #da3f3f, -17px 2px #da3f3f, -15px -48px #da3f3f, -32px -41px #da3f3f, -36px -24px #da3f3f, -31px -8px #da3f3f;
}
.epsg-code-<?php echo get_the_Id();?> .Product_ribbon:after {
    content: '';
    position: absolute;
    top: -13px;
    left: -9px;
    width: 2px;
    height: 45px;
    border-radius: 0%;
    background: #000;
    transform: translate(61px,-9px);
}
@keyframes swing{0%{transform:rotate(5deg)}50%{transform:rotate(-5deg)}100%{transform:rotate(5deg)}}
/* slider section title */
.epsg-code-<?php echo get_the_Id();?> .slider-section-title{
  font-size: <?php echo esc_attr( $slider_section_title_font_size) ?>px!important;
  line-height: <?php echo esc_attr($slider_section_title_line_height)?>!important;
  letter-spacing: <?php echo esc_attr($slider_section_title_letter_spacing)?>px!important;
}
/*slider sub title*/
.epsg-code-<?php echo get_the_Id();?> .slider-sub-title{
 font-size: <?php echo esc_attr( $slider_sub_title_font_size) ?>px!important;
 line-height: <?php echo esc_attr($slider_sub_title_line_height)?>!important;
 letter-spacing: <?php echo esc_attr($slider_sub_title_letter_spacing)?>px!important;
}
 /*custom css*/
 <?php if(!empty($custom_data['custom_css'])){ 
     echo esc_attr( $custom_data['custom_css']);
 } ?>
</style>